Get division rewards
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions/{division_id}/rewards \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions/{division_id}/rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions/{division_id}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"division_id": "<string>",
"enabled": true,
"award_time": "<string>",
"time_zone": "<string>",
"credits_by_rank": [
123
],
"next_award_at": "2023-11-07T05:31:56Z",
"league_pool_credits": 123,
"entries": [
{
"player_id": "<string>",
"player_name": "<string>",
"today_credits": 1,
"total_credits": 123,
"last_awarded_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Rounds
Get division rewards
Return the daily reward schedule, available league pool, and player reward totals.
GET
/
v2
/
divisions
/
{division_id}
/
rewards
Get division rewards
Authorizations
Bearer token issued by Softmax
Path Parameters
Division whose rewards should be returned.
Pattern:
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Reward schedule, league pool, and player totals for one division.
Division whose reward schedule and totals are returned.
Whether scheduled rewards are enabled for this division.
League-local daily award time when rewards are enabled.
Pattern:
^([01]\d|2[0-3]):[0-5]\d$IANA time zone used to schedule daily awards.
Credit amounts by leaderboard rank, starting with first place.
Next scheduled award time, or null when rewards are disabled.
Credits currently available in the league-wide reward pool.
Players that have received rewards in this division.
Show child attributes
Show child attributes